
module.exports.log = (mongoose, sentry = null) => {
  if (mongoose === null) {
    throw new Error('No Mongoose server specified!');
  }

  mongoose.connection.on('connecting', () => {
    console.log('mongo connecting');
  });

  mongoose.connection.on('error', (err) => {
    console.error(err);
    if (sentry !== null) {
      sentry.captureException(err);
    }
  });

  mongoose.connection.on('reconnectFailed', (err) => {
    console.error('reconnect failed. exiting', err);
    if (sentry !== null) {
      sentry.captureException(err);
    }
  });

  mongoose.connection.on('disconnected', () => {
    console.error('mongo disconnected');
  });

  mongoose.connection.once('connected', () => {
    console.log('mongo connected!');
  });

  mongoose.connection.on('open', () => {
    console.log('mongo connection open');
  });

  mongoose.connection.on('reconnected', () => {
    console.log('mongo reconnected');
  });

  if (process.env.DEBUG) { mongoose.set('debug', true); }
};
